package org.freecompany.brimstone.module;

import org.freecompany.brimstone.module.application.brimstone_module;
import java.net.ContentHandler;
import java.net.ContentHandlerFactory;
import org.freecompany.util.multicaster.Notification;

import static org.freecompany.brimstone.module.Module.CONTENT_TYPE;
import static org.freecompany.util.multicaster.NotificationMulticaster.logging;

public class HandlerFactory implements ContentHandlerFactory {

	protected static final Notification notifier = logging();

	public ContentHandler createContentHandler( final String type) {
		notifier.debug( "Creating handler for type ''{0}''.", type);
		return CONTENT_TYPE.equals( type) ? new brimstone_module() : null;
	}
}
