package org.freecompany.brimstone.module.application;

import org.freecompany.brimstone.module.Module;
import java.io.InputStream;
import java.io.IOException;
import java.net.ContentHandler;
import java.net.URLConnection;
import org.xml.sax.SAXException;

public class brimstone_module extends ContentHandler {

	public Object getContent( final URLConnection connection) throws IOException {
		return getContent( connection, new Class[] { Module.class});
	}

	public Object getContent( final URLConnection connection, final Class[] types) throws IOException {
		try {
			for ( Class type : types) if ( type.equals( Module.class)) return new Module( connection);
			return connection.getInputStream();
		} catch ( SAXException e) {
			throw new RuntimeException( "Error reading module definition.", e);
		}
	}
}
